Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79166 - icons don't avoid panel
Summary: icons don't avoid panel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: nautilus
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-12-06 17:28 UTC by Tim Waugh
Modified: 2015-01-08 00:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-16 17:26:19 UTC


Attachments (Terms of Use)

Description Tim Waugh 2002-12-06 17:28:05 UTC
Description of Problem:
Icons don't avoid the panel.

Version-Release number of selected component (if applicable):
nautilus-2.1.3-1

How Reproducible:
100%

Steps to Reproduce:
1. Drag panel to top of screen.

Comment 1 Havoc Pennington 2002-12-14 02:00:21 UTC
I'm pretty sure I saw this working earlier today; what window manager?

What's in "xprop -root | grep WORKAREA" and does it change as you move 
the panel?

Comment 2 Tim Waugh 2002-12-14 10:44:58 UTC
metacity, and it still doesn't work (metacity-2.4.5.90-1, nautilus-2.1.3-1,
gnome-panel-2.1.3-1).


[tim@cyberelk tim]$ xprop -root | grep WORKAREA
_NET_WORKAREA(CARDINAL) = 0, 0, 1024, 714, 0, 0, 1024, 714
_NET_SUPPORTED(ATOM) = _NET_WM_NAME, _NET_CLOSE_WINDOW, _NET_WM_STATE,
_NET_WM_STATE_SHADED, _NET_WM_STATE_MAXIMIZED_VERT,
_NET_WM_STATE_MAXIMIZED_HORZ, _NET_WM_DESKTOP, _NET_NUMBER_OF_DESKTOPS,
_NET_CURRENT_DESKTOP, _NET_WM_WINDOW_TYPE, _NET_WM_WINDOW_TYPE_DESKTOP,
_NET_WM_WINDOW_TYPE_DOCK, _NET_WM_WINDOW_TYPE_TOOLBAR, _NET_WM_WINDOW_TYPE_MENU,
_NET_WM_WINDOW_TYPE_DIALOG, _NET_WM_WINDOW_TYPE_NORMAL, _NET_WM_STATE_MODAL,
_NET_CLIENT_LIST, _NET_CLIENT_LIST_STACKING, _NET_WM_STATE_SKIP_TASKBAR,
_NET_WM_STATE_SKIP_PAGER, _NET_WM_ICON, _NET_WM_MOVERESIZE,
_NET_WM_STATE_HIDDEN, _NET_WM_WINDOW_TYPE_UTILITY, _NET_WM_WINDOW_TYPE_SPLASH,
_NET_WM_STATE_FULLSCREEN, _NET_WM_PING, _NET_ACTIVE_WINDOW, _NET_WORKAREA,
_NET_SHOWING_DESKTOP, _NET_DESKTOP_LAYOUT, _NET_DESKTOP_NAMES,
_NET_WM_ALLOWED_ACTIONS,
_NET_WM_ACTION_MOVE, _NET_WM_ACTION_RESIZE, _NET_WM_ACTION_SHADE,
_NET_WM_ACTION_STICK, _NET_WM_ACTION_MAXIMIZE_HORZ,
_NET_WM_ACTION_MAXIMIZE_VERT, _NET_WM_ACTION_CHANGE_DESKTOP,
_NET_WM_ACTION_CLOSE, _NET_WM_STATE_ABOVE, _NET_WM_STATE_BELOW, _NET_STARTUP_ID
[tim@cyberelk tim]$ xprop -root | grep WORKAREA
_NET_WORKAREA(CARDINAL) = 0, 54, 1024, 714, 0, 54, 1024, 714
_NET_SUPPORTED(ATOM) = _NET_WM_NAME, _NET_CLOSE_WINDOW, _NET_WM_STATE,
_NET_WM_STATE_SHADED, _NET_WM_STATE_MAXIMIZED_VERT,
_NET_WM_STATE_MAXIMIZED_HORZ, _NET_WM_DESKTOP, _NET_NUMBER_OF_DESKTOPS,
_NET_CURRENT_DESKTOP, _NET_WM_WINDOW_TYPE, _NET_WM_WINDOW_TYPE_DESKTOP,
_NET_WM_WINDOW_TYPE_DOCK, _NET_WM_WINDOW_TYPE_TOOLBAR, _NET_WM_WINDOW_TYPE_MENU,
_NET_WM_WINDOW_TYPE_DIALOG, _NET_WM_WINDOW_TYPE_NORMAL, _NET_WM_STATE_MODAL,
_NET_CLIENT_LIST, _NET_CLIENT_LIST_STACKING, _NET_WM_STATE_SKIP_TASKBAR,
_NET_WM_STATE_SKIP_PAGER, _NET_WM_ICON, _NET_WM_MOVERESIZE,
_NET_WM_STATE_HIDDEN, _NET_WM_WINDOW_TYPE_UTILITY, _NET_WM_WINDOW_TYPE_SPLASH,
_NET_WM_STATE_FULLSCREEN, _NET_WM_PING, _NET_ACTIVE_WINDOW, _NET_WORKAREA,
_NET_SHOWING_DESKTOP, _NET_DESKTOP_LAYOUT, _NET_DESKTOP_NAMES,
_NET_WM_ALLOWED_ACTIONS,
_NET_WM_ACTION_MOVE, _NET_WM_ACTION_RESIZE, _NET_WM_ACTION_SHADE,
_NET_WM_ACTION_STICK, _NET_WM_ACTION_MAXIMIZE_HORZ,
_NET_WM_ACTION_MAXIMIZE_VERT, _NET_WM_ACTION_CHANGE_DESKTOP,
_NET_WM_ACTION_CLOSE, _NET_WM_STATE_ABOVE, _NET_WM_STATE_BELOW, _NET_STARTUP_ID


Comment 3 Havoc Pennington 2002-12-14 15:34:41 UTC
Workarea is set correctly by WM, so it must be nautilus's fault.

Comment 4 Alexander Larsson 2002-12-16 10:46:13 UTC
Yes. Its fixed in CVS.

Comment 5 Alexander Larsson 2002-12-16 17:26:19 UTC
Should be fixed in rawhide (nautilus 2.1.5)


Note You need to log in before you can comment on or make changes to this bug.